%define upstream_name	 SQL-Abstract
%define upstream_version 1.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generate SQL from Perl data structures
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Grouped) >= 0.100.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.91.0
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Moo)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep) >= 0.101.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module was inspired by the excellent L<DBIx::Abstract>.
However, in using that module I found that what I really wanted
to do was generate SQL, but still retain complete control over my
statement handles and use the DBI interface. So, I set out to
create an abstract SQL generation module.

While based on the concepts used by DBIx::Abstract, there are
several important differences, especially when it comes to WHERE
clauses. I have modified the concepts used to make the SQL easier
to generate from Perl data structures and, IMO, more intuitive.
The underlying idea is for this module to do what you mean, based
on the data structures you provide it. The big advantage is that
you don't have to modify your code every time your data changes,
as this module figures it out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove bundled modules
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std


%files
%doc Changes META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.810.0-4pclos2017
- rebuild against updates

